Bug 335131 - Have tooltips on buttons
Summary: Have tooltips on buttons
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: components (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks: 334840
  Show dependency treegraph
 
Reported: 2014-05-21 10:51 UTC by David Edmundson
Modified: 2014-05-22 10:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2014-05-21 10:51:56 UTC
It would be nice to set tooltips on buttons (and other controls).
I'm not sure if we'd want the massive plasma tooltips, or to use the system ones.

FWIW QtQuickControl buttons have the property "tooltip"
Comment 1 Marco Martin 2014-05-22 10:20:42 UTC
Git commit 524ff23f25d534bc7f462906f04152d81cb6b19c by Marco Martin.
Committed on 22/05/2014 at 10:18.
Pushed by mart into branch 'master'.

add support for tooltips

use qwidget tooltips, not plasma ones

M  +16   -1    src/declarativeimports/plasmacomponents/qml/Button.qml
M  +13   -0    src/declarativeimports/plasmacomponents/qml/ToolButton.qml

http://commits.kde.org/plasma-framework/524ff23f25d534bc7f462906f04152d81cb6b19c